<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <!-- bootstrap & jquery -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

      <!-- SweetAlert2 -->
      <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
      <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Province</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown mr-3">
                    <a class="nav-link" data-toggle="dropdown" href="#"><i class="fa-solid fa-user-large"></i></a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header" id="user-info"></span>
                        <div class="dropdown-divider"></div>
                        <div class="text-center mt-2">
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log out</button>
                        </div>
                    </div>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="addressMap.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">ADMIN Real Estates</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="info text-white ml-2" id="username-info"></div>
                </div>
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class with font-awesome or any other icon font library -->
                        <li class="nav-item">
                            <a href="./addressMap.html" class="nav-link ">
                                <i class="fa-solid fa-map-location-dot"></i>
                                <p>
                                    Địa chỉ tọa độ
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./masterLayout.html" class="nav-link ">
                                <i class="fa-solid fa-layer-group"></i>
                                <p>
                                    Mặt bằng tầng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./constructionContractor.html" class="nav-link ">
                                <i class="fa-solid fa-person-digging"></i>
                                <p>
                                    Nhà thầu xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./designUnit.html" class="nav-link ">
                                <i class="fa-solid fa-compass-drafting"></i>
                                <p>
                                    Đơn vị thiết kế
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./investor.html" class="nav-link ">
                                <i class="fa-solid fa-user-tie"></i>
                                <p>
                                    Nhà đầu tư
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./regionLink.html" class="nav-link">
                                <i class="fa-solid fa-map"></i>
                                <p>
                                    Kết nối vùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./utilities.html" class="nav-link">
                                <i class="fa-solid fa-person-swimming"></i>
                                <p>
                                    Tiện ích
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./customers.html" class="nav-link ">
                                <i class="fa-solid fa-users-line"></i>
                                <p>
                                    Khách hàng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./employees.html" class="nav-link ">
                                <i class="fa-solid fa-user"></i>
                                <p>
                                    Người dùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./project.html" class="nav-link ">
                                <i class="fa-solid fa-hotel"></i>
                                <p>
                                    Dự án xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./realestate.html" class="nav-link">
                                <i class="fa-solid fa-city"></i>
                                <p>
                                    Thông tin BĐS
                                </p>
                            </a>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link">
                                <i class="fa-solid fa-bars"></i>
                                <p>
                                    Địa chính
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./province.html" class="nav-link active">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Tỉnh thành</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./district.html" class="nav-link ">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Quận huyện</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./ward.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Phường xã</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./street.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Đường</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="./subscription.html" class="nav-link">
                                <i class="fa-solid fa-bell"></i>
                                <p>
                                    Subscription
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Province</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <h4 class="text-center form-group">Danh sách tỉnh thành</h4>
                    <div class="form-group">
                        <button class="btn btn-success" id="btn-create-new-province"><i class="fa-solid fa-plus"></i>
                            Create New Province</button>
                    </div>
                    <table class="table table-bordered table-striped table-hover" id="province-table">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Tên tỉnh thành</th>
                                <th>Mã tỉnh thành</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>

                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>

        <!-- Create new Province modal -->
        <div id="create-province-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header bg-success">
                        <h5 class="modal-title">Create Province</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tên tỉnh thành</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-province-name" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Mã tỉnh thành</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="create-input-province-code" type="text" class="form-control">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" id="btn-create-confirm">Confirm</button>
                        <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Province Detail modal -->
        <div id="province-detail-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header bg-success">
                        <h5 class="modal-title">Province Detail</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Tên tỉnh thành</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="input-province-name" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-4 text-left">
                                    <label>Mã tỉnh thành</label>
                                </div>
                                <div class="col-md-8 form-group">
                                    <input id="input-province-code" type="text" class="form-control">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" id="btn-update-confirm">Confirm</button>
                        <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Delete Province modal -->
        <div id="delete-province-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header bg-success">
                        <h5 class="modal-title">Delete Province Confirmation</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        Are you sure to delete this Province?
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-delete-confirm">Confirm</button>
                        <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer">

            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>
    </div>



    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>

    <script>
        $(document).ready(function () {

            const token = getCookie("token");

            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
            // Biến mảng toàn cục chứa danh sách tên các thuộc tính
            const gPROVINCE_COLS = ["id", "name", "code", "action"];

            // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
            const gPROVINCE_ID_COL = 0;
            const gPROVINCE_NAME_COL = 1;
            const gPROVINCE_CODE_COL = 2;
            const gACTION_COL = 3;

            var gProvinceTable = $("#province-table").DataTable({
                columns: [
                    { data: gPROVINCE_COLS[gPROVINCE_ID_COL] },
                    { data: gPROVINCE_COLS[gPROVINCE_NAME_COL] },
                    { data: gPROVINCE_COLS[gPROVINCE_CODE_COL] },
                    { data: gPROVINCE_COLS[gACTION_COL] },
                ],
                "columnDefs": [
                    {
                        "targets": gACTION_COL,
                        "defaultContent": `<button class='btn btn-primary btn-detail-province'><i class="fa-regular fa-pen-to-square"></i></button>
                                        <button class='btn btn-danger btn-delete-province'><i class="fa-regular fa-trash-can"></i></button>`
                    }]
            });

            var gId;

            /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
            onPageLoading();

            //Set sự kiện cho nút logout
            $("#btn-log-out").on("click", function () {
                redirectToLogin();
            });

            // gán xự kiện khi nút tạo mới tỉnh thành được nhấn
            $("#btn-create-new-province").on("click", function () {
                $("#create-province-modal").modal("show");
            });
            // gán xự kiện khi nút chi tiết tỉnh thành được nhấn
            $("#province-table").on("click", ".btn-detail-province", function () {
                onBtnDetailProvinceClick(this);
            });
            // gán xự kiện khi nút xóa tỉnh thành được nhấn
            $("#province-table").on("click", ".btn-delete-province", function () {
                onBtnDeleteProvinceClick(this);
            });
            // gán xự kiện nút xác nhận tạo mới tỉnh thành được nhấn
            $("#btn-create-confirm").on("click", function () {
                onBtnCreateProvinceConfirmClick();
            });
            // gán xự kiện nút xác nhận câp nhật tỉnh thành được nhấn
            $("#btn-update-confirm").on("click", function () {
                onBtnUpdateProvinceConfirmClick();
            });
            // gán xự kiện khi nút xác nhận xóa tỉnh thành được nhấn
            $("#btn-delete-confirm").on("click", function () {
                onBtnDeleteProvinceConfirmClick();
            });

            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            function onPageLoading() {
                "use strict";
                callApiGetUserIdByToken();
                callApiGetAllProvince();
            }

            // Hàm xử lý khi nút chi tiết province được nhấn
            function onBtnDetailProvinceClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vProvinceDataRow = gProvinceTable.row(vRowSelected).data();
                //console.log(vProvinceDataRow);
                gId = vProvinceDataRow.id;
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                //load dữ liệu vào form detail
                $("#input-province-name").val(vProvinceDataRow.name);
                $("#input-province-code").val(vProvinceDataRow.code);
                // Hiện modal order detail
                $("#province-detail-modal").modal("show");
            }

            // Hàm xử lý khi nút delete province được nhấn
            function onBtnDeleteProvinceClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vProvinceDataRow = gProvinceTable.row(vRowSelected).data();
                //console.log(vProvinceDataRow);
                gId = vProvinceDataRow.id;
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                // Hiện modal order detail
                $("#delete-province-modal").modal("show");
            }
            // Hàm xử lý khi nút xác nhận tạo mới tỉnh thành được nhấn
            function onBtnCreateProvinceConfirmClick() {
                "use strict";
                var vCreateData = {
                    name: "",
                    code: "",
                }
                // B1: Thu thập dữ liệu
                getCreateData(vCreateData);
                // B2: Kiểm tra dữ liệu
                var isValidate = validateCreateData(vCreateData);
                if (isValidate == true) {
                    // B3: xử lý hiển thị dữ liệu
                    callApiCreateProvince(vCreateData);
                    // gọi lại tất cả tỉnh thành
                    callApiGetAllProvince();
                    // Ẩn modal
                    $("#create-province-modal").modal("hide");
                    // clear dữ liệu trên modal
                    $("#create-input-province-name").val("");
                    $("#create-input-province-code").val("");
                }
            }
            // Hàm xử lý khi nút xác nhận cập nhật tỉnh thành được nhấn
            function onBtnUpdateProvinceConfirmClick() {
                "use strict";
                var vUpdateData = {
                    name: "",
                    code: "",
                }
                // B1: Thu thập dữ liệu
                getUpdateData(vUpdateData);
                // B2: Kiểm tra dữ liệu
                var isValidate = validateUpdateData(vUpdateData);
                if (isValidate == true) {
                    // B3: xử lý hiển thị dữ liệu
                    callApiUpdateProvince(vUpdateData);
                    // gọi lại tất cả tỉnh thành
                    callApiGetAllProvince();
                    // Ẩn modal
                    $("#province-detail-modal").modal("hide");
                    // clear dữ liệu trên modal
                    $("#input-province-name").val("");
                    $("#input-province-code").val("");
                }
            }
            // Hàm xử lý khi nút xác nhận xóa tỉnh thành được nhấn
            function onBtnDeleteProvinceConfirmClick() {
                "use strict";
                // B1: Thu thập dữ liệu (bỏ qua)
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu
                callApiDeleteProvince();
                // gọi lại tất cả tỉnh thành
                callApiGetAllProvince();
                // Ẩn modal
                $("#delete-province-modal").modal("hide");
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
            // Hàm load dữ liệu vào bảng
            function loadDataToTable(paramData) {
                "use strict";
                //Xóa toàn bộ dữ liệu đang có của bảng
                gProvinceTable.clear();
                //Cập nhật data cho bảng
                gProvinceTable.rows.add(paramData);
                //Cập nhật lại giao diện hiển thị bảng
                gProvinceTable.draw();
            }

            function callApiGetUserIdByToken() {
                $.ajax({
                    url: "http://localhost:8080/findUserId/Token",
                    type: 'GET',
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    headers: {
                        "Authorization": "Token " + token,
                    },
                    success: function (responseObject) {
                        //console.log(responseObject);
                        callApiGetEmployeeByID(responseObject);
                    },
                    error: function (pAjaxContext) {
                        //redirectToLogin();
                    }
                });
            }

            // Hàm gọi api lấy dữ liệu employee bằng id
            function callApiGetEmployeeByID(paramEmployeeId) {
                $.ajax({
                    url: "http://localhost:8080/employees/" + paramEmployeeId,
                    method: "GET",
                    async: false,
                    success: function (paramResponseObj) {
                        console.log(paramResponseObj);
                        handlerUserDataResponse(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            function handlerUserDataResponse(paramUserData) {
                $("#username-info").html(paramUserData.username);
                $("#user-info").html(paramUserData.username);
            }

            // Hàm gọi api lấy tất cả tỉnh thành
            function callApiGetAllProvince() {
                $.ajax({
                    url: "http://localhost:8080/provinces",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToTable(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }
            // Hàm gọi api tạo tỉnh thành
            function callApiCreateProvince(paramCreateData) {
                $.ajax({
                    url: "http://localhost:8080/provinces",
                    method: "POST",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(paramCreateData),
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }
            // Hàm gọi api cập nhật tỉnh thành
            function callApiUpdateProvince(paramUpdateData) {
                $.ajax({
                    url: "http://localhost:8080/provinces/" + gId,
                    method: "PUT",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(paramUpdateData),
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }
            // Hàm gọi api xóa tỉnh thành
            function callApiDeleteProvince() {
                $.ajax({
                    url: "http://localhost:8080/provinces/" + gId,
                    method: "DELETE",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }
            // Hàm thu thập dữ liệu để tạo tỉnh thành
            function getCreateData(paramCreateData) {
                "use strict";
                paramCreateData.name = $("#create-input-province-name").val().trim();
                paramCreateData.code = $("#create-input-province-code").val().trim();
            }
            // Hàm thu thập dữ liệu để cập nhật tỉnh thành
            function getUpdateData(paramUpdateData) {
                "use strict";
                paramUpdateData.name = $("#input-province-name").val().trim();
                paramUpdateData.code = $("#input-province-code").val().trim();
            }
            // Hàm kiểm tra dữ liệu để tạo tỉnh thành
            function validateCreateData(paramCreateData) {
                "use strict";
                if (paramCreateData.name == "") {
                    alertError("Tên tỉnh thành không được để trống");
                    return false;
                }
                if (paramCreateData.code == "") {
                    alertError("Mã tỉnh thành không được để trống");
                    return false;
                }
                return true;
            }
            // Hàm kiểm tra dữ liệu để cập nhật tỉnh thành
            function validateUpdateData(paramUpdateData) {
                "use strict";
                if (paramUpdateData.name == "") {
                    alertError("Tên tỉnh thành không được để trống");
                    return false;
                }
                if (paramUpdateData.code == "") {
                    alertError("Mã tỉnh thành không được để trống");
                    return false;
                }
                return true;
            }

            function redirectToLogin() {
                // Trước khi logout cần xóa token đã lưu trong cookie
                setCookie("token", "", 1);
                window.location.href = "index.html";
            }

            //Hàm get Cookie
            function getCookie(cname) {
                var name = cname + "=";
                var decodedCookie = decodeURIComponent(document.cookie);
                var ca = decodedCookie.split(';');
                for (var i = 0; i < ca.length; i++) {
                    var c = ca[i];
                    while (c.charAt(0) == ' ') {
                        c = c.substring(1);
                    }
                    if (c.indexOf(name) == 0) {
                        return c.substring(name.length, c.length);
                    }
                }
                return "";
            }

            //Hàm setCookie đã giới thiệu ở bài trước
            function setCookie(cname, cvalue, exdays) {
                var d = new Date();
                d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
                var expires = "expires=" + d.toUTCString();
                document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
            }

            // Hàm alert success
            function alertSuccess(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'success',
                        title: paramTitle,
                    })
                });
            }

            // Hàm alert lỗi
            function alertError(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'error',
                        title: paramTitle,
                    })
                });
            }

        });

    </script>
</body>